Could a programmer help me?

Discussion in 'Programming' started by MrRAGEiiN, May 3, 2015.

  1. Could you post the whole error log, please?
     
  2. It generates the cards but when i do /bj create Test this happends
    03.05 18:13:28 [Server] INFO Admins: [Owner] MrRAGEiiN
    03.05 18:12:51 [Server] INFO ... 14 more
    03.05 18:12:51 [Server] INFO at org.bukkit.command.PluginCommand.execute(PluginCommand.java:44) ~[custom.jar:git-Spigot-c3c767f-33d5de3]
    03.05 18:12:51 [Server] INFO at am.progr.schmailzl.Blackjack.Blackjack.onCommand(Blackjack.java:539) ~[?:?]
    03.05 18:12:51 [Server] INFO at am.progr.schmailzl.Blackjack.Blackjack.create(Blackjack.java:1444) ~[?:?]
    03.05 18:12:51 [Server] INFO at am.progr.schmailzl.Blackjack.Blackjack.createFrame(Blackjack.java:1599) ~[?:?]
    03.05 18:12:51 [Server] INFO at org.bukkit.craftbukkit.v1_8_R1.CraftWorld.spawn(CraftWorld.java:837) ~[custom.jar:git-Spigot-c3c767f-33d5de3]
    03.05 18:12:51 [Server] INFO at org.bukkit.craftbukkit.v1_8_R1.CraftWorld.spawn(CraftWorld.java:1070) ~[custom.jar:git-Spigot-c3c767f-33d5de3]
    03.05 18:12:51 [Server] INFO Caused by: java.lang.IllegalArgumentException: Cannot spawn hanging entity for org.bukkit.entity.ItemFrame at Location{world=CraftWorld{name=world},x=-4123.0,y=74.0,z=190.0,pitch=36.90007,yaw=188.78299}
    03.05 18:12:51 [Server] INFO at java.lang.Thread.run(Unknown Source) [?:1.7.0_75]
    03.05 18:12:51 [Server] INFO at net.minecraft.server.v1_8_R1.MinecraftServer.run(MinecraftServer.java:537) [custom.jar:git-Spigot-c3c767f-33d5de3]
    03.05 18:12:51 [Server] INFO at net.minecraft.server.v1_8_R1.MinecraftServer.y(MinecraftServer.java:634) [custom.jar:git-Spigot-c3c767f-33d5de3]
    03.05 18:12:51 [Server] INFO at net.minecraft.server.v1_8_R1.DedicatedServer.z(DedicatedServer.java:316) [custom.jar:git-Spigot-c3c767f-33d5de3]
    03.05 18:12:51 [Server] INFO at net.minecraft.server.v1_8_R1.MinecraftServer.z(MinecraftServer.java:696) [custom.jar:git-Spigot-c3c767f-33d5de3]
    03.05 18:12:51 [Server] INFO at java.util.concurrent.FutureTask.run(Unknown Source) [?:1.7.0_75]
    03.05 18:12:51 [Server] INFO at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source) [?:1.7.0_75]
    03.05 18:12:51 [Server] INFO at net.minecraft.server.v1_8_R1.PacketHandleTask.run(SourceFile:13) [custom.jar:git-Spigot-c3c767f-33d5de3]
    03.05 18:12:51 [Server] INFO at net.minecraft.server.v1_8_R1.PacketPlayInChat.a(PacketPlayInChat.java:53) [custom.jar:git-Spigot-c3c767f-33d5de3]
    03.05 18:12:51 [Server] INFO at net.minecraft.server.v1_8_R1.PacketPlayInChat.a(PacketPlayInChat.java:26) [custom.jar:git-Spigot-c3c767f-33d5de3]
    03.05 18:12:51 [Server] INFO at net.minecraft.server.v1_8_R1.PlayerConnection.a(PlayerConnection.java:950) [custom.jar:git-Spigot-c3c767f-33d5de3]
    03.05 18:12:51 [Server] INFO at net.minecraft.server.v1_8_R1.PlayerConnection.handleCommand(PlayerConnection.java:1115) [custom.jar:git-Spigot-c3c767f-33d5de3]
    03.05 18:12:51 [Server] INFO at org.bukkit.craftbukkit.v1_8_R1.CraftServer.dispatchCommand(CraftServer.java:646) ~[custom.jar:git-Spigot-c3c767f-33d5de3]
    03.05 18:12:51 [Server] INFO at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) ~[custom.jar:git-Spigot-c3c767f-33d5de3]
    03.05 18:12:51 [Server] INFO at org.bukkit.command.PluginCommand.execute(PluginCommand.java:46) ~[custom.jar:git-Spigot-c3c767f-33d5de3]
    03.05 18:12:51 [Server] INFO org.bukkit.command.CommandException: Unhandled exception executing command 'bj' in plugin Blackjack v1.2.1
    03.05 18:12:51 [Server] ERROR null
     
  3. It's trying to use methods from a 1.8.1 or above(?) Spigot server, you're probably running 1.8.0.
     
  4. Seems like you've installed the wrong version of BlackJack
     
  5. The latest version isn't always the version which fits with your server version...

    That's the same as having a 1.8 server and using 1.3 plugins... A bit over the top but you know what I mean lol
     
  6. So what should i do?
     
  7. What version is your server? And what version is the latest version of Blackjack built for?
     
    • Agree Agree x 1
  8. My server is 1.8.0 but my Co is making it 1.8.3 now, also bj is in 1.7.9
     
  9. If you make your server 1.8.3, Im not 100% sure if Blackjack 1.7.9 could work.
     
    • Informative Informative x 1
  10. Well teh 1.8.0 isnt working at all so i guess its worth a try
     
  11. so it didnt work but im having a programmer update if for me thanks for help Prototype2 <3